Subject: Re: bug#30908: woman2-roff-buffer fails to restore set-text-properties, etc. on error

From: Noam Postavsky <[email-masked]>
Date: Thu, 26 Apr 2018 08:01:32 -0400

tags 30908 fixed
close 30908 27.1
quit

Noam Postavsky <[email-masked]> writes:

> Ivan Shmakov <[email-masked]> writes:
>
>>  > Shouldn’t this rather be combined into the existing unwind-protect
>>  > around the while?
>>
>> 	Due to the (not (eobp)) guard, I’ve assumed that the
>> 	woman2-format-paragraphs call in the ‘unwind’ branch is for some
>> 	sort of fallback processing (in the case the while loop fails.)
>
> Hmm, looking at this again, I'm not sure.  That is, it's clearly
> fallback processing in case the loop ends before going through the whole
> buffer.  But does it also make sense as fallback processing when some
> kind of error was signaled in the loop?  I don't know.

I've decided that it doesn't make sense to do any further processing
once we've hit an error.

[1: 66dbb787a2]: 2018-04-26 07:37:48 -0400
  Ensure woman2-roff-buffer restores functions on error (Bug#30908)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=66dbb787a22d4ae1d513a3ee27e22eed395f5676